import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { SystemUsage } from './system-usage.entity';
import { SystemUsageService } from './system-usage.service';
import { SystemUsageCron } from './system-usage.cron';
import { SystemUsageController } from './system-usage.controller';

@Module({
  imports: [TypeOrmModule.forFeature([SystemUsage])],
  controllers: [SystemUsageController],
  providers: [SystemUsageService, SystemUsageCron],
  exports: [SystemUsageService],
})
export class SystemUsageModule {}