import {
  Entity,
  PrimaryGeneratedColumn,
  Column,
  CreateDateColumn,
} from 'typeorm';

@Entity()
export class SystemUsage {
  @PrimaryGeneratedColumn()
  id: number;

  @Column('decimal', { precision: 5, scale: 2 })
  cpuUsage: number;

  @Column('decimal', { precision: 5, scale: 2 })
  gpuUsage: number;

  @Column('decimal', { precision: 5, scale: 2 })
  memoryUsage: number;

  @CreateDateColumn()
  createdAt: Date;
}
